Eclipse Platform Release 3.7

## org.eclipse.ui.views.markers
Class WorkbenchMarkerResolution

    java.lang.Object
      org.eclipse.ui.views.markers.WorkbenchMarkerResolution

All Implemented Interfaces:
  IMarkerResolution, IMarkerResolution2

    public abstract class WorkbenchMarkerResolution

extends Object
implements IMarkerResolution2

WorkbenchMarkerResolution is the resolution that can be grouped with others that are similar to allow multi selection.

Since:
  3.2

Constructor Summary
`WorkbenchMarkerResolution()`

Method Summary
`abstract IMarker[]` `findOtherMarkers(IMarker[] markers)` Iterate through the list of supplied markers.
`void` `run(IMarker[] markers, IProgressMonitor monitor)` Runs this resolution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IMarkerResolution2
`getDescription, getImage`

Methods inherited from interface org.eclipse.ui.IMarkerResolution
`getLabel, run`

Constructor Detail

### WorkbenchMarkerResolution

    public WorkbenchMarkerResolution()

Method Detail

### findOtherMarkers

    public abstract IMarker[] findOtherMarkers(IMarker[] markers)

  Iterate through the list of supplied markers. Return any that can also have the receiver applied to them.

  Parameters:
    `markers` -
  Returns:
    IMarker[]

### run

    public void run(IMarker[] markers,
                    IProgressMonitor monitor)

  Runs this resolution. Resolve all `markers`. `markers` must be a subset of the markers returned by `findOtherMarkers(IMarker[])`.

  Parameters:
    `markers` - The markers to resolve, not null
    `monitor` - The monitor to report progress

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.